<?php
    //error_reporting(E_NOTICE); 
    
    require_once('Config.class.php');
    require_once('Database.class.php');
    require_once('placeholder.php');
    
    // Читаем конфиг
    $config = new Config();

    // Подключаемся к базе данных
    $db=new Database($config->dbname,$config->dbhost,$config->dbuser,$config->dbpass);

    if(!$db->connect())
    {
        print "Не могу подключиться к базе данных. Проверьте настройки подключения";
        exit();
    }
    $db->query('SET NAMES utf8');  
    
    if(isset($_POST['id']) && is_numeric($_POST['rating'])) {
        session_start();
        $product_id = intval(str_replace('rating_', '', $_POST['id']));
        $rating = floatval($_POST['rating']);
        
        if(!isset($_SESSION['rating_ids'])) $_SESSION['rating_ids'] = array();
        
        if(!in_array($product_id, $_SESSION['rating_ids'])) { //учитываем рейтинг
            
            $_SESSION['rating_ids'][] = $product_id; 

            $query = sql_placeholder("SELECT rating, votes FROM products WHERE product_id = ? LIMIT 1", $product_id);
            $db->query($query);
            $product = $db->result();

            if(!empty($product)) {
                $rate = ($product->rating * $product->votes + $rating) / ($product->votes + 1);
                $query = sql_placeholder("UPDATE products SET rating = ?, votes = votes + 1 WHERE product_id = ?", $rate, $product_id);
                $db->query($query);

                echo $rate;             
            }
            else echo -1; //товар не найден
        }
        else echo 0; //уже голосовали
    } 
    else echo -1; //неверные параметры
?> 
